"use strict";
const common_vendor = require("../../../common/vendor.js");
const pages_me_model = require("../model.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "list",
  setup(__props) {
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(common_vendor.unref(pages_me_model.useModel).list, (i, index, i0) => {
          return common_vendor.e({
            a: (i == null ? void 0 : i.type) === "service"
          }, (i == null ? void 0 : i.type) === "service" ? {
            b: i == null ? void 0 : i.icon,
            c: common_vendor.t(i == null ? void 0 : i.label),
            d: "5b065f8a-0-" + i0,
            e: common_vendor.p({
              type: "right",
              size: "15",
              color: "#888"
            }),
            f: `items_${index}`
          } : {
            g: i == null ? void 0 : i.icon,
            h: common_vendor.t(i == null ? void 0 : i.label),
            i: "5b065f8a-1-" + i0,
            j: common_vendor.p({
              type: "right",
              size: "15",
              color: "#888"
            }),
            k: `items_btn_${index}`
          });
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/me/components/list.vue"]]);
wx.createComponent(Component);
